diff -ur sourceold/scripts/JMGRenetBusters.cpp source/scripts/JMGRenetBusters.cpp
--- sourceold/scripts/JMGRenetBusters.cpp	2018-11-17 10:23:57.019600000 +1000
+++ source/scripts/JMGRenetBusters.cpp	2019-08-20 10:11:06.801000100 +1000
@@ -836,11 +836,13 @@
 				JMG_CMTB_Main_Game_Control::PlayerSOSBeaconID = 0;
 			}
 		}
+		JmgUtility::GenericDateTime currentTime = JmgUtility::GenericDateTime();
 		for (int x = 0;x < MaxGamePlayerCount;x++)
 		{
 			if (!MiniGamePlayerControlSystem[x].GamePlayerID)
 				continue;
 			RenCometBustersScoreControl.Get_Current_Player_Score_Node(MiniGamePlayerControlSystem[x].PlayerID)->PlayTime++;
+			RenCometBustersScoreControl.Get_Current_Player_Score_Node(MiniGamePlayerControlSystem[x].PlayerID)->LastPlayTime = currentTime;
 			if (MiniGamePlayerControlSystem[x].ShipObject)
 				switch(MiniGamePlayerControlSystem[x].ShipObject->Type)
 				{
diff -ur sourceold/scripts/PhysicalGameObj.h source/scripts/PhysicalGameObj.h
--- sourceold/scripts/PhysicalGameObj.h	2018-11-17 10:23:57.047600000 +1000
+++ source/scripts/PhysicalGameObj.h	2019-08-20 10:11:06.802000100 +1000
@@ -113,6 +113,7 @@
 	void                Clear_Animation() {if (AnimControl) {AnimControl->Set_Animation((const char*)NULL, 0, 0);AnimControl->Set_Mode(ANIM_MODE_STOP,0);ClearAnimation = true;Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);}}
 	void                Set_Team_Visibility(TeamVisibilitySetting setting) {TeamVisibility = (char)setting;Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);}
 	void                Set_Player_Visible(bool visible) {PlayerVisible = visible;}
+	GameObject *		Get_Parent_Object(){return HostGameObj;}
 protected:
 	ActiveConversationClass *ActiveConversation;
 private:
